<?php
/*********************/
/*                   */
/*  Version : 5.1.0  */
/*  Author  : RM     */
/*  Comment : 071223 */
/*                   */
/*********************/

class iono_keys
{

    public function iono_keys( $license_key, $remote_auth, $key_location = "key.php", $key_age = 1296000 )
    {
        $this->license_key = $license_key;
        $this->remote_auth = $remote_auth;
        $this->key_location = $key_location;
        $this->key_age = $key_age;
        $this->now = time( );
        $this->install_path = dirname( dirname( $_SERVER['REQUEST_URI'] ) );
        if ( ( "license_key" ) )
        {
            $this->result = 4;
            return false;
        }
        if ( ( "remote_auth" ) )
        {
            $this->result = 4;
            return false;
        }
        if ( file_exists( $this->key_location ) )
        {
            $this->result = $this->read_key( );
        }
        else
        {
            $this->result = $this->generate_key( );
            if ( ( $this['result'] ) )
            {
                $this->result = $this->read_key( );
            }
        }
        unset( $this['remote_auth'] );
        return true;
    }

    public function generate_key( )
    {
        $request = "remote=licenses&type=5&license_key=".urlencode( base64_encode( $this->license_key ) );
        $request .= "&host_ip=".urlencode( base64_encode( $_SERVER['SERVER_ADDR'] ) )."&host_name=".urlencode( base64_encode( $_SERVER['SERVER_NAME'] ) )."&install_path=".urlencode( base64_encode( $this->install_path ) );
        $request .= "&hash=".urlencode( base64_encode( md5( $request ) ) );
        $request = $this->home_url_iono."?".$request;
        $header = "GET {$request} HTTP/1.0\r\nHost: {$this->home_url_site}\r\nConnection: Close\r\nUser-Agent: iono (www.olate.co.uk/iono)\r\n";
        $header .= "\r\n\r\n";
        $fpointer = @fsockopen( $this->home_url_site, $this->home_url_port, $errno, $errstr, 5 );
        $return = "";
        if ( $fpointer )
        {
            @fwrite( $fpointer, $header );
            while ( !feof( $fpointer ) )
            {
                $return .= @fread( $fpointer, 1024 );
            }
            @fclose( $fpointer );
        }
        else
        {
            return 12;
        }
        $content = explode( "\r\n\r\n", $return );
        $content = explode( $content[0], $return );
        $string = urldecode( $content[1] );
        $exploded = explode( "|", $string );
        switch ( $exploded[0] )
        {
        case 0 :
            return 8;
        case 2 :
            return 9;
        case 3 :
            return 5;
        case 10 :
            return 4;
        }
        $data['license_key'] = $exploded[1];
        $data['expiry'] = $exploded[2];
        $data['hostname'] = $exploded[3];
        $data['ip'] = $exploded[4];
        $data['install_path'] = $exploded[5];
        $data['product_group'] = $exploded[6];
        $data['timestamp'] = $this->now;
        if ( empty( $data['hostname'] ) )
        {
            $data['hostname'] = $_SERVER['SERVER_NAME'];
        }
        if ( empty( $data['ip'] ) )
        {
            $data['ip'] = $_SERVER['SERVER_ADDR'];
        }
        $data_encoded = serialize( $data );
        $data_encoded = base64_encode( $data_encoded );
        $data_encoded = md5( $this->now.$this->remote_auth ).$data_encoded;
        $data_encoded = strrev( $data_encoded );
        $data_encoded_hash = sha1( $data_encoded.$this->remote_auth );
        $fp = fopen( $this->key_location, "w" );
        if ( $fp )
        {
            $fp_write = fwrite( $fp, wordwrap( $data_encoded.$data_encoded_hash, 40, "\n", true ) );
            if ( !$fp_write )
            {
                return 11;
            }
            fclose( $fp );
        }
        return 10;
    }

    public function read_key( )
    {
        $key = file_get_contents( $this->key_location );
        if ( $key !== false )
        {
            $key = str_replace( "\n", "", $key );
            $key_string = substr( $key, 0, strlen( $key ) - 40 );
            $key_sha_hash = substr( $key, strlen( $key ) - 40, strlen( $key ) );
            if ( sha1( $key_string.$this->remote_auth ) == $key_sha_hash )
            {
                $key = strrev( $key_string );
                $key_hash = substr( $key, 0, 32 );
                $key_data = substr( $key, 32 );
                $key_data = base64_decode( $key_data );
                $key_data = unserialize( $key_data );
                if ( md5( $key_data['timestamp'].$this->remote_auth ) == $key_hash )
                {
                    if ( $this->key_age <= $this->now - $key_data['timestamp'] )
                    {
                        unlink( $this->key_location );
                        $this->result = $this->generate_key( );
                        if ( empty( $this['result'] ) )
                        {
                            $this->result = $this->read_key( );
                        }
                        return 1;
                    }
                    $this->key_data = $key_data;
                    if ( $key_data['license_key'] != $this->license_key )
                    {
                        return 4;
                    }
                    if ( $key_data['expiry'] <= $this->now && $key_data['expiry'] != 1 )
                    {
                        return 5;
                    }
                    if ( substr_count( $key_data['hostname'], "," ) == 0 )
                    {
                        if ( $key_data['hostname'] != $_SERVER['SERVER_NAME'] && !empty( $key_data['hostname'] ) )
                        {
                            return 6;
                        }
                    }
                    else
                    {
                        $hostnames = explode( ",", $key_data['hostname'] );
                        if ( !in_array( $_SERVER['SERVER_NAME'], $hostnames ) )
                        {
                            return 6;
                        }
                    }
                    if ( $key_data['product_group'] !== $this->product_group )
                    {
                        return 13;
                    }
                    return 1;
                }
                return 3;
            }
            return 2;
        }
        return 0;
    }

    public function get_data( )
    {
        return $this->key_data;
    }

}

include( "../config/license_key.php" );
$key_string = $config['license_key'];
$remote_auth = "50ab2a7f5cb7";
$key_location = "../config/local_key.php";
$key_age = 15 * 86400;


include_once( "../config.inc.php" );
if ( $_SESSION['login'] )
{
    if ( PG_CURRENCY == 2 )
    {
        require_once( "../currencies_sql.inc.php" );
    }
    else
    {
        require_once( "../currencies.inc.php" );
    }
}
echo "<html>\r\n<head>\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=";
echo charset;
echo "\" />\r\n<title>";
echo constant( "SCRIPTNAME" );
echo " - Admin Panel</title>\r\n<link rel=\"stylesheet\" type=\"text/css\" href=\"../style.css\">\r\n<link type=\"text/css\" href=\"css/ui-lightness/jquery-ui-1.8.5.custom.css\" rel=\"stylesheet\" />\r\n";
echo "<s";
echo "cript type=\"text/javascript\">\r\n/*\r\nfunction select_phpcode(){\r\n var text_val=eval(\"document.phpcode.type\");\r\n text_val.focus();\r\n text_val.select();\r\n }\r\nfunction select_htmlcode(){\r\n var text_val=eval(\"document.htmlcode.type\");\r\n text_val.focus();\r\n text_val.select();\r\n }\r\n*/</script>\r\n\r\n";
echo "<s";
echo "cript src=\"js/jquery.min.js\" type=\"text/javascript\"></script>\r\n";
echo "<s";
echo "cript src=\"js/jquery.progressbar.js\" type=\"text/javascript\"></script>\r\n";
echo "<s";
echo "cript type=\"text/javascript\" src=\"js/jquery-ui-1.8.5.custom.min.js\"></script>\r\n";
echo "<s";
echo "cript type=\"text/javascript\">\r\n\t\$(function(){\r\n\r\n\t\t// Accordion\r\n\t\t\$(\"#accordion\").accordion({ header: \"h5\" });\r\n\t\t\r\n\t});\r\n</script>\r\n";
echo "<s";
echo "tyle type=\"text/css\">\r\n<!--\r\n/* progress bar container */\r\n.progressbar{\r\n        border:1px solid black;\r\n        width:550px;\r\n        height:20px;\r\n        position:relative;\r\n        color:#FF0000; \r\n}\r\n/* color bar */\r\n.progressbar div.progress{\r\n        position:absolute;\r\n        width:0;\r\n        height:100%;\r\n        overflow:hidden;\r\n        background-color:#369;\r\n}\r\n/* text on bar */\r\n.";
echo "progressbar div.progress .text{\r\n        position:absolute;\r\n        text-align:center;\r\n        color:white;\r\n}\r\n/* text off bar */\r\n.progressbar div.text{\r\n        position:absolute;\r\n        width:100%;\r\n        height:100%;\r\n        text-align:center;\r\n}\r\n-->\r\n</style>\r\n\r\n</head>\r\n<body bgcolor=\"#FFFFFF\">\r\n<div align='center' class=\"admin_toplink\">\r\n";
if ( constant( "demo_mode" ) == "on" )
{
    echo "[ <a href=../index.php>".constant( "LANG_ADMIN_FRONT" )."</a> ] ";
    echo "[ <a href=./index.php?action=".__FILE__.">".constant( "LANG_ADMIN_SECURE" )."</a> ]";
    echo "[ DEMO MODE IS ON ]";
}
else if ( $_SESSION['login'] == TRUE )
{
    echo "[ <a href=../index.php>".constant( "LANG_ADMIN_FRONT" )."</a> ] ";
    echo "[ <a href=./index.php?action=".__FILE__.">".constant( "LANG_ADMIN_SECURE" )."</a> ]";
}
echo "</div>\r\n";
if ( constant( "debug_mode" ) == "on" )
{
    echo " <b> Debug_Session: ".$_SESSION['login']."</b><BR>";
}
if ( isset( $_GET['action'] ) && $_GET['action'] != "login" && $_SESSION['login'] == TRUE )
{
    echo "<BR><CENTER>";
    include_once( "../includes/HTTPRequest.class.php" );
    echo "<table width='800' bordercolor=#CCCCCC border=0 align=center cellspacing=0 cellpadding=0>";
    echo "<tr bgcolor='#055995' height='40px' height=4><td colspan='2'> <div align='center' class='admin_header_bar'>Paypal Download Manager</div> </td></tr>";
    echo "<TR><TD width=140 valign=top>";
    echo "<table width=140 cellpadding=1 cellspacing=1 class='adminmenu'>";
    echo "<tr bgcolor=#146BA6 width=140px align=center><td class=maw>".constant( "LANG_ADMIN_MENU_CONTROLPANEL" )."</td></tr>";
    echo "<tr><td><a class=mav href=?action=products&subaction=add>".constant( "LANG_ADMIN_MENU_PRODUCTADD" )."</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=products&subaction=import>".constant( "LANG_ADMIN_MENU_IMPORT_PRODUCTADD" )."</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=products&subaction=edit>".constant( "LANG_ADMIN_MENU_PRODUCTEDIT" )."</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=products&subaction=generate>".constant( "LANG_ADMIN_MENU_PRODUCTGEN" )."</a></td></tr>";
    echo "<tr bgcolor='#C8DBE9' width=140px height=4><td> </td></tr>";
    echo "<tr><td><a class=mav href=?action=external-products&subaction=add>".constant( "LANG_ADMIN_MENU_EXTERNAL_PRODUCT" )."</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=external-products&subaction=edit>".constant( "LANG_ADMIN_MENU_EXTERNAL_PRODUCTEDIT" )."</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=confirm-external-products>".constant( "LANG_ADMIN_MENU_CONFIRM_EXTERNAL_PRODUCTS" )."</a></td></tr>";
    echo "<tr bgcolor='#C8DBE9' width=140px height=4><td> </td></tr>";
    echo "<tr><td><a class=mav href=?action=affiliate&subaction=members>".constant( "LANG_ADMIN_MENU_AFFILIATES" )."</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=affiliate&subaction=commission>".constant( "LANG_ADMIN_MENU_AFFCOMMS" )."</a></td></tr>";
    echo "<tr bgcolor='#C8DBE9' width=140px height=4><td> </td></tr>";
    echo "<tr><td><a class=mav href=?action=sales>".constant( "LANG_ADMIN_MENU_SALESSHOW" )."</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=reports&subaction=products>".constant( "LANG_ADMIN_MENU_SALESREPORTS" )."</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=addsale&subaction=product>".constant( "LANG_ADMIN_MENU_SALESADD" )."</a></td></tr>";
    echo "<tr bgcolor='#C8DBE9' width=140px height=4><td> </td></tr>";
    echo "<tr><td><a class=mav href=?action=mail>".constant( "LANG_ADMIN_MENU_SALESMAIL" )."</a></td></tr>";
    echo "<tr bgcolor='#C8DBE9' width=140px height=4><td> </td></tr>";
    echo "<tr><td><a class=mav href=?action=adminbackup>".constant( "LANG_ADMIN_MENU_BACKUPS" )."</a></td></tr>";
    echo "<tr bgcolor='#C8DBE9' width=140px height=4><td> </td></tr>";
    echo "<tr><td><a class=mav href=?action=conf&subaction=global>".constant( "LANG_ADMIN_MENU_CONFIGGLOBAL" )."</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=conf&subaction=website>".constant( "LANG_ADMIN_MENU_CONFIGWEBSITE" )."</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=conf&subaction=changepassword>".constant( "LANG_ADMIN_MENU_CHANGE_PASSWORD" )."</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=conf&subaction=email>".constant( "LANG_ADMIN_MENU_CONFIGEMAIL" )."</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=email>".constant( "LANG_ADMIN_PAGE_EMAIL" )."</a></td></tr>";
    echo "<tr><td><a class=mav href='?action=conf&subaction=db'>Database Setting</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=buttons>".constant( "LANG_ADMIN_MENU_BUTTONS" )."</a></td></tr>";
    echo "<tr bgcolor='#C8DBE9' width=140px height=4><td> </td></tr>";
    echo "<tr><td><a class=mav href=?action=confirmsystem>".constant( "LANG_ADMIN_MENU_CONFIRM" )."</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=help>".constant( "LANG_ADMIN_MENU_HELP" )."</a></td></tr>";
    if ( GHD != "YES" )
    {
        echo "<tr><td><a class=mav href=?action=license>".constant( "LANG_ADMIN_MENU_LICENSE" )."</a></td></tr>";
    }
    echo "<tr><td><a class=mav href='phpminiadmin.php?db=peergoal_pdm_current&q=show+tables' target='_blank'>Database Administration</a></td></tr>";
    echo "<tr bgcolor='#C8DBE9' width=140px height=8><td> </td></tr>";
    echo "<tr><td><a class=mav href=?action=upgrade>".constant( "LANG_ADMIN_MENU_UPGRADE" )."</a></td></tr>";
    echo "<tr><td><a class=mav href=?action=logout>".constant( "LANG_ADMIN_MENU_LOGOUT" )."</a></td></tr>";
    echo "<tr width=140px height=100%><td><BR><BR><BR></td></tr>";
    echo "</table>";
    echo "</td><td valign=top width='660' bgcolor='#FFFFFF'>\r\n\t\t\t\t\t\t<BR><table align=center width='630' border='0' class='admincontent'><tr><td>";
}
if ( $_POST['login'] )
{
    $post_pass = md5( $_POST['pass'] );
    if ( $_POST['user'] == $username && $post_pass == $password )
    {
        session_register( "login" );
        $_SESSION['login'] = TRUE;
        $sql = " SELECT * FROM ".TABLE_CONFIG." WHERE name = 'paypal_email' ";
        $re = mysql_query( $sql );
        $email = mysql_result( $re, 0, "value" );
        $key = license_key;
        $domain = $_SERVER['HTTP_HOST'];
        $query = "key={$key}&do".__FILE__."={$domain}&email={$email}";
        echo "<img src=\"http://www.peergoal.com/license/pdmkey.php?".$query."\" width=\"0\" height=\"0\" />";
        echo "<div align='center' style='padding:100px;'>".constant( "LANG_LOGIN_OK" )."....</div> <meta http-equiv=\"refresh\" content=\"1; URL=index.php?action=".__FILE__."\">";
    }
    else
    {
        echo "<br><br><div align=\"center\">".constant( "LANG_LOGIN_ERROR" )."</div><br><br>";
    }
}
if ( $_GET['action'] == "" && $_SESSION['login'] == TRUE )
{
    echo "<meta http-equiv=\"refresh\" content=\"0;url=?action=products&subaction=edit\" />";
}
else if ( $_SESSION['login'] == FALSE )
{
    echo "                <meta http-equiv=\"refresh\" content=\"1; URL=admin_login.php\">\r\n                ";
}
else if ( !$_GET['action'] )
{
    echo "                <link rel=\"stylesheet\" type=\"text/css\" href=\"style.css\">\r\n                ";
    echo "<BR><CENTER><h2>".constant( "SCRIPTNAME" )."</h2>";
    echo "<table width=710 bordercolor=#CCCCCC border=1 align=center cellspacing=0 cellpadding=0><TR><TD width=110 valign=top>";
    echo "<table height=550 width=110>";
    echo "<tr bgcolor='#C8DBE9' width=140px align=center><td class=maw>Admin Login</td></tr>";
    echo "<tr width=140px height=100%><td><BR><BR><BR></td></tr>";
    echo "</td></tr></table>";
    echo "</td><td valign=top><center><BR><table width=95%><tr><td>";
    echo "\r\n\r\n                <form method=\"POST\" action=\"";
    echo $PHP_SELF;
    echo "\">\r\n                <table cellpadding=0 cellspacing=2>\r\n                <input type=hidden name=action value=login>\r\n\r\n\r\n                ";
    if ( demo_mode == "on" )
    {
        echo "                        <tr><td>";
        echo constant( "LANG_USERNAME" );
        echo ": </td><td><input name=\"user\" value=\"admin\"></td></tr>\r\n                        <tr><td>";
        echo constant( "LANG_PASSWORD" );
        echo ": </td><td><input type=password name=\"pass\" value=\"test\"></td></tr>\r\n                ";
    }
    else if ( demo_mode == "off" )
    {
        echo "                        <tr><td>";
        echo constant( "LANG_USERNAME" );
        echo ": </td><td><input name=\"user\"></td></tr>\r\n                        <tr><td>";
        echo constant( "LANG_PASSWORD" );
        echo ": </td><td><input type=password name=\"pass\"></td></tr>\r\n                ";
    }
    echo "\r\n                <tr><td></td><td><BR><input type=\"submit\" name=\"login\" value=\"Login Now\"></td></tr>\r\n                </table>\r\n                </form>\r\n                ";
}
if ( $_GET['action'] == __FILE__ && $_SESSION['login'] == TRUE )
{
    echo "<meta http-equiv=\"refresh\" content=\"0;url=?action=products&subaction=edit\" />";
}
if ( $_GET['action'] == "logout" && session_unregister( "login" ) )
{
    echo "".constant( "LANG_LOGOUT_OK" )." <meta http-equiv=\"refresh\" content=\"1; URL=index.php?action=".__FILE__."\">";
}
if ( $_GET['action'] == "products" && $_SESSION['login'] == TRUE )
{
    echo "<h2>".constant( "LANG_ADMIN_PAGE_PRODUCTSMAN" )."</h2>";
    include_once( "admin_products.inc.php" );
}
if ( $_GET['action'] == "email" && $_SESSION['login'] == TRUE )
{
    echo "<h2>".constant( "LANG_ADMIN_PAGE_EMAIL" )."</h2>";
    include_once( "admin_email.inc.php" );
}
if ( $_GET['action'] == "external-products" && $_SESSION['login'] == TRUE )
{
    echo "<h2>".constant( "LANG_ADMIN_PAGE_EXTPRODUCTSMAN" )."</h2>";
    include_once( "admin_external-products.inc.php" );
}
if ( $_GET['action'] == "license" && $_SESSION['login'] == TRUE )
{
    echo "<h2>".constant( "LANG_ADMIN_PAGE_LICENSE" )."</h2>";
    include_once( "admin_license.inc.php" );
}
if ( $_GET['action'] == "help" && $_SESSION['login'] == TRUE )
{
    include_once( "admin_help.inc.php" );
}
if ( $_GET['action'] == "adminbackup" && $_SESSION['login'] == TRUE )
{
    echo "<h2>".constant( "LANG_ADMIN_PAGE_BACKUPS" )."</h2>";
    include_once( "admin_backups.inc.php" );
}
if ( $_GET['action'] == "upgrade" && $_SESSION['login'] == TRUE )
{
    echo "<h2>".constant( "LANG_ADMIN_PAGE_UPGRADE" )."</h2>";
    include_once( "admin_upgrade.inc.php" );
}
if ( $_GET['action'] == "sales" && $_SESSION['login'] == TRUE )
{
    echo "<h2>".constant( "LANG_ADMIN_PAGE_SALES" )."</h2>";
    include_once( "admin_sales.inc.php" );
}
if ( $_GET['action'] == "mail" && $_SESSION['login'] == TRUE )
{
    echo "<h2>".constant( "LANG_ADMIN_PAGE_MAIL" )."</h2>";
    include_once( "admin_mail.inc.php" );
}
if ( $_GET['action'] == "conf" && $_SESSION['login'] == TRUE )
{
    if ( $_GET['subaction'] == "changepassword" )
    {
        echo "<h2>".constant( "LANG_ADMIN_PAGE_CHANGE_ADMIN_PASSWORD" )."</h2>";
    }
    else
    {
        echo "<h2>".constant( "LANG_ADMIN_PAGE_CONFIGURE" )."</h2>";
    }
    include_once( "admin_conf.inc.php" );
}
if ( $_REQUEST['action'] == "send_mail" && $_SESSION['login'] == TRUE )
{
    echo "<h2>".constant( "LANG_ADMIN_PAGE_MAIL" )."</h2>";
    include_once( "send_mail.inc.php" );
}
if ( $_GET['action'] == "confirmsystem" && $_SESSION['login'] == TRUE )
{
    include_once( "admin_confirmsystem.inc.php" );
}
if ( $_GET['action'] == "confirm-external-products" && $_SESSION['login'] == TRUE )
{
    include_once( "admin_confirmextproducts.inc.php" );
}
if ( $_GET['action'] == "buttons" && $_SESSION['login'] == TRUE )
{
    echo "<h2>".constant( "LANG_ADMIN_PAGE_BUTTONS" )."</h2>";
    include_once( "admin_buttons.inc.php" );
}
if ( $_GET['action'] == "reports" && $_SESSION['login'] == TRUE )
{
    include_once( "admin_salesreports.inc.php" );
}
if ( $_GET['action'] == "addsale" && $_SESSION['login'] == TRUE )
{
    include_once( "admin_addsale.inc.php" );
}
if ( $_GET['action'] == "view" && $_SESSION['login'] == TRUE )
{
    $res = mysql_query( "SELECT * FROM `".TABLE_PRODUCTS."` ORDER BY id ASC" );
    while ( $row = mysql_fetch_array( $res ) )
    {
    }
}
if ( $_GET['action'] == "affiliate" && $_SESSION['login'] == TRUE )
{
    echo "<h2>".constant( "LANG_ADMIN_PAGE_AFFILIATES" )."</h2>";
    include_once( "admin_affiliate.inc.php" );
}
if ( $_GET['action'] == "reissue" && $_SESSION['login'] == TRUE )
{
    echo "<h2>".constant( "LANG_ADMIN_PAGE_REISSUE" )."</h2>";
    include_once( "admin_reissue.inc.php" );
}
if ( $_GET['action'] == "delete_sale" && $_SESSION['login'] == TRUE )
{
    mysql_query( "DELETE FROM `".TABLE_SALES."` WHERE `id`='".$_REQUEST['sid']."'" );
    echo "Selected Sale Successfully Deleted.";
}
if ( $_GET['action'] == "dashboard" )
{
    include_once( "admin_dashboard.inc.php" );
}
echo "\r\n\r\n\t\t\t\t\t\t</td></tr>\r\n\t\t\t\t\t\t</table>\r\n\r\n\t\t\t\t      </td></tr>\r\n\t\t\t\t      </table>\r\n\r\n        <center>\r\n        <div class=\"copyright\">Powered by <a target=_blank href=\"http://www.alurian.com?ref=";
echo PG_AFFID;
echo "\">";
echo constant( "SCRIPTNAME" );
echo " ";
echo $config['version'];
echo " </a></div>\r\n        <BR>\r\n\r\n</body>\r\n</html>\r\n";
?>
