<?php

function msg_handler( $errno, $msg_text, $errfile, $errline )
{
	if ( error_reporting( ) == 0 && $errno != E_USER_ERROR && $errno != E_USER_WARNING && $errno != E_USER_NOTICE )
	{
	}
	else
	{
		$style = "background-color:#FEEBEB;border:1px solid #FFAEAE;margin-bottom:10px;margin-right:12px;padding:10px 10px 10px 35px;";
		switch ( $errno )
		{
			case E_USER_ERROR :
				echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">";
				echo "<html xmlns=\"http://www.w3.org/1999/xhtml\" dir=\"ltr\">";
				echo "<head>";
				echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\" />";
				echo "<title>General Error</title>";
				echo "<style type=\"text/css\">".( "\n" )."/* <![CDATA[ */"."\n";
				echo "* { margin: 0; padding: 0; } html { font-size: 100%; height: 100%; margin-bottom: 1px; background-color: #E4EDF0; } body { font-family: \"Lucida Grande\", Verdana, Helvetica, Arial, sans-serif; color: #536482; background: #E4EDF0; font-size: 62.5%; margin: 0; } ";
				echo "a:link, a:active, a:visited { color: #006699; text-decoration: none; } a:hover { color: #DD6900; text-decoration: underline; } ";
				echo "#wrap { padding: 0 20px 15px 20px; min-width: 615px; } #page-header { text-align: right; height: 40px; } #page-footer { clear: both; font-size: 1em; text-align: center; } ";
				echo ".panel { margin: 4px 0; background-color: #FFFFFF; border: solid 1px  #A9B8C2; } ";
				echo "#errorpage #page-header a { font-weight: bold; line-height: 6em; } #errorpage #content { padding: 10px; } #errorpage #content h1 { line-height: 1.2em; margin-bottom: 0; color: #DF075C; } ";
				echo "#errorpage #content div { margin-top: 20px; margin-bottom: 5px; border-bottom: 1px solid #CCCCCC; padding-bottom: 5px; color: #333333; font: bold 1.2em \"Lucida Grande\", Arial, Helvetica, sans-serif; text-decoration: none; line-height: 120%; text-align: left; } ";
				echo "\n".( "/* ]]> */" )."\n";
				echo "</style>";
				echo "</head>";
				echo "<body id=\"errorpage\">";
				echo "<div id=\"wrap\">";
				echo "\t<div id=\"page-header\">";
				echo "\t\t";
				echo "\t</div>";
				echo "\t<div id=\"acp\">";
				echo "\t<div class=\"panel\">";
				echo "\t\t<div id=\"content\">";
				echo "\t\t\t<h1>General Error</h1>";
				echo "\t\t\t<div>".$msg_text."<br /><br /> on line ".$errline." in file ".$errfile."</div>";
				echo "\t\t</div>";
				echo "\t</div>";
				echo "\t</div>";
				echo "\t<div id=\"page-footer\">";
				echo "\t\tPowered by PDM";
				echo "\t</div>";
				echo "</div>";
				echo "</body>";
				echo "</html>";
				exit( 0 );
				break;
			case E_USER_NOTICE :
				echo "<div style=\"{$style}\"><b>My NOTICE</b> [{$errno}] {$msg_text} on line ".$errline." in file ".$errfile."</div>\n";
				break;
			case E_USER_WARNING :
				echo "<div style=\"{$style}\"><b>Unknown error type:</b> [{$errno}] {$msg_text} on line ".$errline." in file ".$errfile."</div>\n";
				break;
			case E_NOTICE :
				break;
			case E_WARNING :
				echo "<div style=\"{$style}\"><b>Warning:</b> [{$errno}] {$msg_text} on line ".$errline." in file ".$errfile."</div>\n";
		}
		return true;
	}
}

function serve_file( $file_path, $order_no, $progress_file, $retbytes = true, $is_resume = true, $is_external = false )
{
	session_write_close( );
	$chunksize = 1 * ( 1024 * 1024 );
	$chunksize = 10 * 1024;
	$buffer = "";
	$bytes_downloaded = 0;
	$kilobytes_downloaded = 0;
	$filesize = getfilesize( $file_path, $is_external );
	$readable_filesize = readable_filesize( $filesize );
	$filename = strstr( $_SERVER['HTTP_USER_AGENT'], "MSIE" ) ? preg_replace( "/\\./", "%2e", basename( $file_path ), substr_count( basename( $file_path ), "." ) - 1 ) : basename( $file_path );
	if ( $is_resume && isset( $_SERVER['HTTP_RANGE'] ) )
	{
		$range_orig = explode( "=", $_SERVER['HTTP_RANGE'], 2 );
		$size_unit = explode( "=", $_SERVER['HTTP_RANGE'], 2 );
		if ( $size_unit == "bytes" )
		{
			$extra_ranges = explode( ",", $range_orig, 2 );
			$range = explode( ",", $range_orig, 2 );
		}
		else
		{
			$range = "";
		}
	}
	else
	{
		$range = "";
	}
	$seek_end = explode( "-", $range, 2 );
	$seek_start = explode( "-", $range, 2 );
	$seek_end = ( "seek_end" ) ? $filesize - 1 : min( abs( intval( $seek_end ) ), $filesize - 1 );
	$seek_start = ( "seek_start" ) || $seek_end < abs( intval( $seek_start ) ) ? 0 : max( abs( intval( $seek_start ) ), 0 );
	if ( $is_resume )
	{
		if ( 0 < $seek_start || $seek_end < $filesize - 1 )
		{
			header( "HTTP/1.1 206 Partial Content" );
		}
		header( "Accept-Ranges: bytes" );
		header( "Content-Range: bytes ".$seek_start."-".$seek_end."/".$filesize );
	}
	header( "Content-Type: application/octet-stream" );
	header( "Content-Disposition: attachment; filename=\"".$filename."\"" );
	if ( $is_resume )
	{
		header( "Content-Length: ".( $seek_end - $seek_start + 1 ) );
	}
	else
	{
		header( "Content-Length: ".$filesize );
	}
	$start_time = time( ).microtime( );
	$temp_percentage_downloaded = 0;
	$progress_parameters = array( );
	$sql = "SELECT * FROM `".TABLE_SALES."` WHERE `order_no`='".$order_no."' LIMIT 1";
	if ( !( $res = mysql_query( $sql ) ) )
	{
		exit( mysql_error( ) );
	}
	$order_array = mysql_fetch_array( $res );
	$Var_4056->Services_JSON( );
	$json = $Var_4056;
	$handle = fopen( $file_path, "rb" );
	if ( $handle === false )
	{
		return false;
	}
	if ( $is_resume )
	{
		fseek( $handle, $seek_start );
	}
	while ( !feof( $handle ) )
	{
		print fread( $handle, $chunksize );
		flush( );
		ob_flush( );
		sleep( 1 );
		if ( $retbytes )
		{
			$bytes_downloaded += strlen( $buffer );
			$kilobytes_downloaded = $bytes_downloaded / 1024;
			$percentage_downloaded = floor( $bytes_downloaded / $filesize * 100 );
			if ( $temp_percentage_downloaded != $percentage_downloaded )
			{
				$temp_percentage_downloaded = $percentage_downloaded;
				$av_speed = round( $kilobytes_downloaded / ( time( ).microtime( ) - $start_time ) );
				$time_remaining = round( ( $filesize - $bytes_downloaded ) / round( $bytes_downloaded / ( time( ).microtime( ) - $start_time ) ) );
				$progress_parameters = array( "filename" => $filename, "percentage_downloaded" => $percentage_downloaded, "kilobytes_downloaded" => readable_filesize( $kilobytes_downloaded ), "readable_filesize" => $readable_filesize, "average_speed" => $av_speed, "payer_email" => $order_array['payer_email'], "time_remaining" => secondstowords( $time_remaining )." remaining" );
				$download_info_str = encode( $progress_parameters );
				@file_write_contents( @$progress_file, @$download_info_str );
				$temp_log = basename( $progress_file, ".txt" );
				@file_write_contents( "tmp/download_progress.txt", @time( ).@microtime( )."---".@$temp_log."---".@$percentage_downloaded."\r\n", "FILE_APPEND" );
				sleep( 5 );
			}
		}
	}
	$status = fclose( $handle );
	if ( $retbytes && $status )
	{
		return $bytes_downloaded;
	}
	return $status;
}

function file_write_contents( $n, $d, $flag = false )
{
	$mode = strtoupper( $flag ) == "FILE_APPEND" ? "a" : "w";
	$f = @fopen( @$n, @$mode );
	if ( $f === false )
	{
		return 0;
	}
	if ( is_array( $d ) )
	{
		$d = implode( $d );
	}
	$bytes_written = fwrite( $f, $d );
	fclose( $f );
	return $bytes_written;
}

function lang( $key )
{
	return htmlentities( constant( $key ), ENT_COMPAT, "UTF-8", false );
}

function set_download_filename( $product_title, $filename )
{
	$path_file = str_replace( DIRECTORY_SEPARATOR."includes", "", dirname( __FILE__ ) );
	$path_file = $path_file.DIRECTORY_SEPARATOR."files".DS.$filename;
	$path_parts = pathinfo( $path_file );
	$basename = generate_seo_link( $product_title );
	$extension = $path_parts['extension'];
	return $basename.".".$extension;
}

function generate_seo_link( $input, $replace = "-" )
{
	$return = trim( ereg_replace( " +", " ", preg_replace( "/[^a-zA-Z0-9\\s]/", "", strtolower( $input ) ) ) );
	return str_replace( " ", $replace, $return );
}

function get_http_code( $script_url )
{
	$timeout = 30;
	$errno = 0;
	$errstr = "";
	$html_contents = "";
	$datas_url = parse_url( $script_url );
	$port = !isset( $datas_url['port'] ) ? 80 : $datas_url['port'];
	$fp = fsockopen( $datas_url['host'], $port, $errno, $errstr, $timeout );
	if ( $fp )
	{
		if ( isset( $datas_url['query'] ) && $datas_url['query'] != "" )
		{
			$datas_url['path'] = $datas_url['path']."?".$datas_url['query'];
		}
		$out = "GET ".$datas_url['path']." HTTP/1.1\r\n";
		$out .= "Host: ".$datas_url['host']."\r\n";
		$out .= "Connection: Close\r\n\r\n";
		if ( isset( $datas_url['query'] ) && $datas_url['query'] != "" )
		{
			$out .= "Content-length: ".strlen( $datas_url['query'] )."\r\n\r\n";
			$out .= $datas_url['query']."\r\n\r\n";
		}
		fwrite( $fp, $out );
		while ( !feof( $fp ) )
		{
			$html_contents .= fgets( $fp, 8192 );
		}
		$http_code = parsehttpcode( $html_contents );
		fclose( $fp );
		if ( stripos( $http_code, "100" ) !== false )
		{
			return 100;
		}
		if ( stripos( $http_code, "200" ) !== false )
		{
			return 200;
		}
		return 0;
	}
}

function validatehttpresponse( $headers = null )
{
	if ( !is_array( $headers ) || count( $headers ) < 1 )
	{
		return false;
	}
	return $headers;

	return true;
}
return false;


function parsehttpcode( $content = null )
{
	if ( ( "content" ) )
	{
		return false;
	}
	$hunks = explode( "\r\n\r\n", trim( $content ) );
	if ( !is_array( $hunks ) || count( $hunks ) < 2 )
	{
		return false;
	}
	$header = $hunks[count( $hunks ) - 2];
	$body = $hunks[count( $hunks ) - 1];
	$headers = explode( "\n", $header );
	unset( $hunks );
	unset( $header );
	return validatehttpresponse( $headers );
}

function unchunkhttpresponse( $str = null )
{
	if ( !is_string( $str ) || strlen( $str ) < 1 )
	{
		return false;
	}
	$eol = "\r\n";
	$add = strlen( $eol );
	$tmp = $str;
	$str = "";
	do
	{
		$tmp = ltrim( $tmp );
		$pos = strpos( $tmp, $eol );
		if ( $pos === false )
		{
			return false;
		}
		$len = hexdec( substr( $tmp, 0, $pos ) );
		if ( !is_numeric( $len ) || $len < 0 )
		{
			return false;
		}
		$str .= substr( $tmp, $pos + $add, $len );
		$tmp = substr( $tmp, $len + $pos + $add );
		$check = trim( $tmp );
	} while ( ( "check" ) );
	unset( $tmp );
	return $str;
}

function set_number_format( $price )
{
	global $currencies_notations;
	if ( isset( $currencies_notations[currency_code] ) )
	{
		$datas = $currencies_notations[currency_code];
	}
	else
	{
		$datas = $currencies_notations['USD'];
	}
	return number_format( $price, 2, $datas['dec_point'], $datas['thousands_sep'] );
}

function get_domain_name( )
{
	$domain_name = "alurian.com";
	preg_match( "/^(http:\\/\\/)?([^\\/]+)/i", websiteurl, $matches );
	if ( isset( $matches[2] ) && trim( $matches[2] ) != "" )
	{
		$host = $matches[2];
		preg_match( "/[^\\.\\/]+\\.[^\\.\\/]+$/", $host, $matches2 );
		if ( isset( $matches2[0] ) && trim( $matches2[0] ) != "" )
		{
			$domain_name = $matches2[0];
		}
	}
	return $domain_name;
}

function create_random_password( )
{
	$chars = "abcdefghijkmnopqrstuvwxyz023456789";
	srand( ( double )  1000000 );
	$i = 0;
	$pass = "";
	while ( $i <= 7 )
	{
		$num = rand( ) % 33;
		$tmp = substr( $chars, $num, 1 );
		$pass = $pass.$tmp;
		++$i;
	}
	return $pass;
}

function is_internal_sandbox( )
{
	if ( PAYMENT_NOTIFY_MODE == "internal_sandbox" )
	{
		return true;
	}
	return false;
}

function my_get_headers( $url )
{
	$url_info = parse_url( $url );
	if ( isset( $url_info['scheme'] ) && $url_info['scheme'] == "https" )
	{
		$port = 443;
		@$fp = @fsockopen( @"ssl://".@$url_info['host'], @$port, @$errno, @$errstr, 20 );
	}
	else
	{
		$port = isset( $url_info['port'] ) ? $url_info['port'] : 80;
		@$fp = @fsockopen( @$url_info['host'], @$port, @$errno, @$errstr, 20 );
	}
	if ( $fp )
	{
		stream_set_timeout( $fp, 10 );
		$head = "HEAD ".@$url_info['path']."?".@$url_info['query'];
		$head .= " HTTP/1.0\r\nHost: ".@$url_info['host']."\r\n\r\n";
		fputs( $fp, $head );
		while ( !feof( $fp ) )
		{
			if ( $header = trim( fgets( $fp, 1024 ) ) )
			{
				$sc_pos = strpos( $header, ":" );
				if ( $sc_pos === false )
				{
					$headers['status'] = $header;
				}
				else
				{
					$label = substr( $header, 0, $sc_pos );
					$value = substr( $header, $sc_pos + 1 );
					$headers[strtolower( $label )] = trim( $value );
				}
			}
		}
		return $headers;
	}
	return false;
}

if ( !function_exists( "get_headers" ) )
{
}
if ( !function_exists( "ip2country" ) )
{
}
if ( !function_exists( "GetFileSize" ) )
{
}
if ( !function_exists( "generate_hash" ) )
{
}
if ( !function_exists( "readable_filesize" ) )
{
}
if ( !function_exists( "read_folder" ) )
{
}
if ( !function_exists( "secondsToWords" ) )
{
}
define( "DS", DIRECTORY_SEPARATOR );
define( "MAX_ELAPSED_TIME", 600 );
?>
